// Copyright (C) 2008 - INRIA
// Copyright (C) 2009 - DIGITEO

// This file is released into the public domain

mode(-1);
lines(0);

TOOLBOX_NAME  = "sciFLT";
TOOLBOX_TITLE = "FuzzyToolbox";
toolbox_dir   = get_absolute_file_path("builder.sce");

// Check Scilab's version
// =============================================================================

try
	v = getversion("scilab");
catch
	error(gettext("Scilab 5.2 or more is required."));
end

if v(2) < 2 then
	// new API in scilab 5.2
	error(gettext('Scilab 5.2 or more is required.'));  
end

// Check development_tools module avaibility
// =============================================================================

if ~with_module('development_tools') then
  error(msprintf(gettext('%s module not installed."),'development_tools'));
end

// Action
// =============================================================================

tbx_builder_macros(toolbox_dir);
tbx_builder_src(toolbox_dir);
tbx_builder_gateway(toolbox_dir);
tbx_builder_help(toolbox_dir);
tbx_build_loader(TOOLBOX_NAME, toolbox_dir);
tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir);


loadXcosLibs();

blklib = lib(toolbox_dir + "macros");
//xpal = xcosPal("sciFLT");
blks = list("scicos_complement", "scicos_fls", "scicos_mf","scicos_snorm","scicos_tnorm");
h5dir  = toolbox_dir + "images/h5/";
// Add blocks to the palette
for blkname = blks
    scs_m = evstr(blkname+"(""define"")");
    export_to_hdf5(h5dir+blkname+".h5", "scs_m");
    clear scs_m;
//     blkstyle = struct();
//     blkstyle.image = "file:"+toolbox_dir + 'images/svg/'+blkname+".svg";
//     xpal = xcosPalAddBlock(xpal, toolbox_dir + 'images/h5/'+blkname+".h5", toolbox_dir + 'images/gif/'+blkname+".gif", blkstyle);
end
// Save the palette
//xcosPalExport(xpal, toolbox_dir + "macros/sciFLT.xpal");


// Clean variables
// =============================================================================

clear toolbox_dir TOOLBOX_NAME TOOLBOX_TITLE;
clear h5dir blks blklib;